#include <bits/stdc++.h>

using namespace std;

int main(void)
{
    int n;
    cin >> n;
    int x[n*2];
    for(int i=0; i<n; i++)
        cin >> x[2*i+0] >> x[2*i+1];
    if(n<4)
        cout << 0;
    else
        cout << 1;
    return 0;
}